Bug 3980 - [UPDATE REQUEST] drakxtools-14.46-9
: [UPDATE REQUEST] drakxtools-14.46-9
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-17 17:45 MSD by Konstantin Vlasov
Modified: 2014-05-13 09:36 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
ss (13.96 KB, image/png)
2014-04-22 17:06 MSD, Vladimir Potapov
Details
ss (72.78 KB, image/png)
2014-04-23 12:08 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-04-17 17:45:26 MSD
Added support for timezones list localization in the installer. Also, the list was translated into Russian and cleaned from non-timezones and confusing elements (like posix/*, right/*, zonetab).
Comment 1 Konstantin Vlasov 2014-04-17 17:46:05 MSD
https://abf.rosalinux.ru/build_lists/1797503
https://abf.rosalinux.ru/build_lists/1797504

Advisory: Added timezones localization and Russian translation.
Comment 2 Vladimir Potapov 2014-04-18 17:47:11 MSD
drakxtools-14.46-9
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1797503/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1797504/x86_64/main/release/
********************** Advisory ***********************
Added timezones localization and Russian translation.
*******************************************************
QA Verified
Comment 3 Vladimir Potapov 2014-04-22 17:06:19 MSD
Created attachment 2824 [details]
ss

In top of zonelist I see garbage zones. Does it's correct?
Comment 4 Konstantin Vlasov 2014-04-22 18:24:16 MSD
All these are valid timezones, serving various purposes. By "garbage" I meant mostly items like "zone.tab", which is not a timezone but just an auxiliary file located in /usr/share/zoneinfo/ and therefore listed in the dialog along with real timezones.

I'm not sure which of those "root" timezones are really needed to be displayed to user, so I decided to leave all of them there, just in case. If anybody has any arguments in favor of hiding these items, please, share them with us.
Comment 5 Vladimir Potapov 2014-04-22 18:34:44 MSD
I suggest to roll them in "etc"
Comment 6 Vladimir Potapov 2014-04-22 18:36:00 MSD
(In reply to comment #5)
> I suggest to roll them in "etc"
...and localize "etc"
Comment 7 Konstantin Vlasov 2014-04-22 20:30:43 MSD
(In reply to comment #5)
> I suggest to roll them in "etc"

By "roll" did you mean "move"? I'm not sure we may perform such rearrangements. The structure of timezones comes from the timezone package, the authors might have arranged them in such a way for a reason. Moving timezones effectively leads to renaming them, and it may cause interoperability issues with some applications which do not expect such changes in the environment, not to mention packages with hardcoded timezone names which would become invalid. For example, the "GMT" timezone will become "Etc/GMT", and whoever refers to "GMT" would get an error.

Of course, we can move them just "visually", without actual renaming, but it might cause even more confusion («I selected "Etc/GMT", but my timezone became just "GMT", what's going on?!»).

(In reply to comment #6)
> ...and localize "etc"

It's localizable already (all items are). If you request for translation to specific language, please, give a suggestion, because we couldn't find out how these names should be presented to Russian users so that they understood what they saw in the list… (and so that the translation wasn't extremely long).
Comment 8 Vladimir Potapov 2014-04-23 03:45:12 MSD
'etc' -> 'прочее'
Comment 9 Postnikov Dmitry 2014-04-23 11:43:46 MSD
(In reply to comment #8)
> 'etc' -> 'прочее'

Так можно до маразма дойти. Например, представим, телевизор на котором красуется надпись на русском языке "Самсунг". Или берем батарейку, а на ней русскими буквами написано "Дюрасель". Или берем мобильник, а на нем написано русскими буквами "Хуавей". :)

Нет, такие вещи нельзя локализовывать.
Comment 10 Vladimir Potapov 2014-04-23 12:08:33 MSD
Created attachment 2825 [details]
ss

В смысле? Торговые марки - да, нельзя. Но "etc" это слово, которое значит "прочее", это просто название папки насколько я понимаю.
Ну ладно, это не критично. А вот мусор вначале критичен гораздо более - например в анаконде (установщике редхата, где все хорошо локализовано) его нет.
Там первое /etc (см скриншот, это самый верх списка)
Comment 11 Postnikov Dmitry 2014-04-23 12:25:43 MSD
Вот что используется http://ru.wikipedia.org/wiki/Tz_database
И во всех языках програмирования берется "Etc/GMT..." и т.д. Если мы изменим, будут касяки с программами.
Погугли "Etc/GMT".
Comment 12 Vladimir Potapov 2014-04-23 12:40:49 MSD
(In reply to comment #11)
> Вот что используется http://ru.wikipedia.org/wiki/Tz_database

Попробуй при инсталляции выбрать Азия/Иркутск, поймешь, в чем проблема.
Ищешь по алфавиту, "а" - первая, крутишь - получаешь мусор.

> И во всех языках програмирования берется "Etc/GMT..." и т.д. Если мы
> изменим, будут касяки с программами.
> Погугли "Etc/GMT".
Во всех языках программирования берется также Asia/Irkutsk, мы же только отображение на экране меняем. 
Но я опять про мусор - посмотрел наш r1, там мусор в конце, после континентов и он там мешает меньше. А может, просто изменить сортировку чтоб сначала локализованные были, а потом etc и мусорные? Ну или как в редхате, мусор вообще убрать.
Comment 13 Konstantin Vlasov 2014-04-23 13:10:45 MSD
Если кто-то приведёт убедительные доказательства, что это действительно мусор, который никогда и никому из нашей целевой аудитории не потребуется, я с радостью отфильтрую эти пункты, чтобы они не отображались в списке.
Comment 14 Vladimir Potapov 2014-04-23 14:23:27 MSD
(In reply to comment #13)
> Если кто-то приведёт убедительные доказательства, что это действительно
> мусор, который никогда и никому из нашей целевой аудитории не потребуется, я
> с радостью отфильтрую эти пункты, чтобы они не отображались в списке.
Думаю, трудно быть православнее красношапки.
Comment 15 Konstantin Vlasov 2014-04-23 18:40:17 MSD
По результатам локального совещания все нерегиональные таймзоны были перенесены из корня в новую категорию Other (Другие), располагающуюся в конце списка.

https://abf.rosalinux.ru/build_lists/1800647
https://abf.rosalinux.ru/build_lists/1800648
Advisory: Added timezones localization and Russian translation; non-regional timezones moved into category "Other".

P.S. Эти билдлисты включают в себя также другие изменения.
Comment 16 Vladimir Potapov 2014-04-24 04:12:41 MSD
drakxtools-14.46-15
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1800647/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1800648/x86_64/main/release/
********************** Advisory ***********************
All non-regional timezones move to other category.
*******************************************************
QA Verified